/**
@license
Copyright (c) 2025 trading_peter
This program is available under Apache License Version 2.0
*/

import '../../tp-rich-text-box.js';
import '../../tp-rtb-bold.js';
import '../../tp-rtb-italic.js';
import '../../tp-rtb-strike.js';
import '../../tp-rtb-underline.js';
import '../../tp-rtb-code.js';
import '../../tp-rtb-clear-format.js';
import { LitElement, html, css } from 'lit';

class TheApp extends LitElement {
  static get styles() {
    return [
      css`
        :host {
          display: flex;
          flex-direction: column;
          position: absolute;
          inset: 0;
          font-family: sans-serif;
        }
      `
    ];
  }

  render() {
    return html`
      <tp-rich-text-box>
        <tp-rtb-bold></tp-rtb-bold>
        <tp-rtb-italic></tp-rtb-italic>
        <tp-rtb-strike></tp-rtb-strike>
        <tp-rtb-underline></tp-rtb-underline>
        <tp-rtb-code></tp-rtb-code>
        <tp-rtb-clear-format></tp-rtb-clear-format>
      </tp-rich-text-box>
    `;
  }

  static get properties() {
    return {
    };
  }

  constructor() {
    super();
  }
}

window.customElements.define('the-app', TheApp);